Last Comment Bug 656488 - Command-H to hide app doesn't work when in Panorama
: Command-H to hide app doesn't work when in Panorama
Status: VERIFIED FIXED
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: x86 Mac OS X
: P2 normal
: Firefox 7
Assigned To: Raymond Lee [:raymondlee]
:
Mentors:
Depends on: 621795
Blocks: 660175
  Show dependency treegraph
 
Reported: 2011-05-11 16:17 PDT by Erik Rose [:erik][:erikrose]
Modified: 2016-04-12 14:00 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
v1 (1.34 KB, patch)
2011-05-24 23:47 PDT, Raymond Lee [:raymondlee]
no flags Details | Diff | Splinter Review
v2 (1.80 KB, patch)
2011-05-25 21:14 PDT, Raymond Lee [:raymondlee]
ttaubert: feedback+
Details | Diff | Splinter Review
v2.1 (1.87 KB, patch)
2011-06-02 20:07 PDT, Raymond Lee [:raymondlee]
ian: review+
Details | Diff | Splinter Review
Patch for checkin (2.12 KB, patch)
2011-06-03 09:45 PDT, Raymond Lee [:raymondlee]
no flags Details | Diff | Splinter Review

Description Erik Rose [:erik][:erikrose] 2011-05-11 16:17:38 PDT
When in Panorama mode, hitting command-H doesn't hide Aurora. The application menu blinks, but nothing else happens. Selecting Hide Aurora with the mouse does work.
Comment 1 Raymond Lee [:raymondlee] 2011-05-24 23:47:08 PDT
Created attachment 534995 [details] [diff] [review]
v1
Comment 2 Raymond Lee [:raymondlee] 2011-05-25 21:14:25 PDT
Created attachment 535264 [details] [diff] [review]
v2
Comment 3 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2011-05-26 02:40:44 PDT
Comment on attachment 535264 [details] [diff] [review]
v2

Review of attachment 535264 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good!
Comment 4 Ian Gilman [:iangilman] 2011-05-26 09:45:51 PDT
Comment on attachment 535264 [details] [diff] [review]
v2

Review of attachment 535264 [details] [diff] [review]:
-----------------------------------------------------------------

::: browser/base/content/tabview/ui.js
@@ +1034,5 @@
>        function processBrowserKeys(evt) {
> +        // let any keys with alt to pass through
> +        if (evt.altKey)
> +          return;
> +

With this, do we still need the special treatment for hideThisAppCmdMac?
Comment 5 Raymond Lee [:raymondlee] 2011-05-26 10:31:52 PDT
(In reply to comment #4)
> Comment on attachment 535264 [details] [diff] [review] [review]
> v2
> 
> Review of attachment 535264 [details] [diff] [review] [review]:
> -----------------------------------------------------------------
> 
> ::: browser/base/content/tabview/ui.js
> @@ +1034,5 @@
> >        function processBrowserKeys(evt) {
> > +        // let any keys with alt to pass through
> > +        if (evt.altKey)
> > +          return;
> > +
> 
> With this, do we still need the special treatment for hideThisAppCmdMac?

yes, we do.  hideThisAppCmdMac => cmd/ctrl + H.  We don't need special treatment for hideOtherAppsCmdMac => cmd/ctrl + alt + H
Comment 6 Raymond Lee [:raymondlee] 2011-05-26 10:52:45 PDT
Comment on attachment 535264 [details] [diff] [review]
v2

Passed Try
http://tbpl.mozilla.org/?tree=Try&rev=fd16aca86305
Comment 7 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2011-05-27 02:22:18 PDT
bugspam
Comment 8 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2011-05-27 02:27:11 PDT
bugspam
Comment 9 Raymond Lee [:raymondlee] 2011-06-02 20:07:28 PDT
Created attachment 537067 [details] [diff] [review]
v2.1

Updated it to work with the latest trunk.  Trivial patch.
Comment 10 Ian Gilman [:iangilman] 2011-06-03 09:37:39 PDT
Comment on attachment 537067 [details] [diff] [review]
v2.1

Review of attachment 537067 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good
Comment 11 Raymond Lee [:raymondlee] 2011-06-03 09:45:48 PDT
Created attachment 537165 [details] [diff] [review]
Patch for checkin
Comment 12 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2011-06-03 10:26:35 PDT
http://hg.mozilla.org/mozilla-central/rev/d77e733fc507
Comment 13 George Carstoiu 2011-06-10 02:21:17 PDT
Verified on Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:7.0a1) Gecko/20110609 Firefox/7.0a1.

Pressing Command + H while in Panorama hides Firefox - problem no longer exists. Setting status to VERIFIED FIXED.

Note You need to log in before you can comment on or make changes to this bug.